#!/bin/bash

###############################
# Screen Stream Mirroring USB #
###############################

echo "*** Screen Stream Mirroring USB v2 ***"
#
cd "$(dirname "$0")"
chmod 0777 ./tools/adb
adb="./tools/adb -d"

# Check whether device is connected or wait for one
adbState=$($adb get-state)
if [[ $adbState == "device" ]]; then
    echo "Device not found -- connect one to continue..."
    $adb wait-for-device
    echo "Device connected."
	
	read -p "Enter the streaming port number used in Screen Stream Mirroring (advanced) preferences, or press enter for default value (5000): " port
	
	if [ -z $port ]; then
		port="5000"
	fi
	
	$adb forward tcp:$port tcp:$port
	
	echo "Port number set to "$port"."
	echo
	echo "Done. You can now use Screen Stream Mirroring through USB."
	echo "Important:"
	echo "Be sure you have enabled \"Stream through USB\" option in app preferences."
	echo
else
	echo
	echo "Device not found:"
	echo
	echo "1. Check you enabled USB debugging option (read Instructions.txt if needed) and (re)plug device to USB."
	echo
	echo "2. Check you authorized the computer for USB debugging if a confirmation dialog appeared on your Android device."
	echo
	echo "3. Check you unzipped the entire ZIP file content."
	echo
fi
